Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.transaction.xa
Class XAException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.transaction.xa.XAException

All Implemented Interfaces:
  Serializable

public class XAException
extends Exception

The XAException is thrown by resource managers in case of problems.

Version:
  $Revision: 1.6 $
See Also:
  Serialized Form

Field Summary
`int` | `errorCode` The error code.
`static int` | `XA_HEURCOM` Error code indicating that a heuristic commit decision was made.
`static int` | `XA_HEURHAZ` Error code indicating that a heuristic decision may have been made.
`static int` | `XA_HEURMIX` Error code indicating that a heuristic mixed decision was made.
`static int` | `XA_HEURRB` Error code indicating that a heuristic rollback decision was made.
`static int` | `XA_NOMIGRATE` Error code indicating that the transaction resumption must happen where the suspension occurred.
`static int` | `XA_RBBASE` This is not an error code, but the same as the rollback error code with the lowest number.
`static int` | `XA_RBCOMMFAIL` Rollback error code indicating that the rollback happened due to a communications failure.
`static int` | `XA_RBDEADLOCK` Rollback error code indicating that the rollback happened because deadlock was detected.
`static int` | `XA_RBEND` This is not an error code, but the same as the rollback error code with the highest number.
`static int` | `XA_RBINTEGRITY` Rollback error code indicating that the rollback happened because an internal integrity check failed.
`static int` | `XA_RBOTHER` Rollback error code indicating that the rollback happened for some reason not fitting any of the other rollback error codes.
`static int` | `XA_RBPROTO` Rollback error code indicating that the rollback happened due to a protocol error in the resource manager.
`static int` | `XA_RBROLLBACK` Rollback error code indicating that the rollback happened for an unspecified reason.
`static int` | `XA_RBTIMEOUT` Rollback error code indicating that the rollback happened because of a timeout.
`static int` | `XA_RBTRANSIENT` Rollback error code indicating that the rollback happened due to a transient failure.
`static int` | `XA_RDONLY` Error code indicating that the transaction branch was read-only, and has already been committed.
`static int` | `XA_RETRY` Error code indicating that the method invoked returned without having any effect, and that it may be invoked again.
`static int` | `XAER_ASYNC` Error code indicating that an asynchronous operation is outstanding.
`static int` | `XAER_DUPID` Error code indicating that a Xid given as an argument is already known to the resource manager.
`static int` | `XAER_INVAL` Error code indicating that invalid arguments were passed.
`static int` | `XAER_NOTA` Error code indicating that an `Xid` is not valid.
`static int` | `XAER_OUTSIDE` Error code indicating that the resource manager is doing work outside the global transaction.
`static int` | `XAER_PROTO` Error code indicating a protocol error.
`static int` | `XAER_RMERR` Error code indicating that a resource manager error has occurred.
`static int` | `XAER_RMFAIL` Error code indicating that the resource manager has failed and is not available.

Constructor Summary
`XAException()` Creates new `XAException` without detail message.
`XAException(int errorCode)` Constructs an `XAException` for the specified error code.
`XAException(String msg)` Constructs an `XAException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorCode

    public int errorCode

  The error code.

### XAER_ASYNC

    public static final int XAER_ASYNC

  Error code indicating that an asynchronous operation is outstanding.

  See Also:
    Constant Field Values

### XAER_RMERR

    public static final int XAER_RMERR

  Error code indicating that a resource manager error has occurred.

  See Also:
    Constant Field Values

### XAER_NOTA

    public static final int XAER_NOTA

  Error code indicating that an `Xid` is not valid.

  See Also:
    Constant Field Values

### XAER_INVAL

    public static final int XAER_INVAL

  Error code indicating that invalid arguments were passed.

  See Also:
    Constant Field Values

### XAER_PROTO

    public static final int XAER_PROTO

  Error code indicating a protocol error. This happens if a method is invoked on a resource when it is not in the correct state for it.

  See Also:
    Constant Field Values

### XAER_RMFAIL

    public static final int XAER_RMFAIL

  Error code indicating that the resource manager has failed and is not available.

  See Also:
    Constant Field Values

### XAER_DUPID

    public static final int XAER_DUPID

  Error code indicating that a Xid given as an argument is already known to the resource manager.

  See Also:
    Constant Field Values

### XAER_OUTSIDE

    public static final int XAER_OUTSIDE

  Error code indicating that the resource manager is doing work outside the global transaction.

  See Also:
    Constant Field Values

### XA_RDONLY

    public static final int XA_RDONLY

  Error code indicating that the transaction branch was read-only, and has already been committed.

  See Also:
    Constant Field Values

### XA_RETRY

    public static final int XA_RETRY

  Error code indicating that the method invoked returned without having any effect, and that it may be invoked again. Note that this constant is not defined in JTA 1.0.1, but appears in J2EE(TM) as shipped by SUN.

  See Also:
    Constant Field Values

### XA_HEURMIX

    public static final int XA_HEURMIX

  Error code indicating that a heuristic mixed decision was made. This indicates that parts of the transaction were committed, while other parts were rolled back.

  See Also:
    Constant Field Values

### XA_HEURRB

    public static final int XA_HEURRB

  Error code indicating that a heuristic rollback decision was made.

  See Also:
    Constant Field Values

### XA_HEURCOM

    public static final int XA_HEURCOM

  Error code indicating that a heuristic commit decision was made.

  See Also:
    Constant Field Values

### XA_HEURHAZ

    public static final int XA_HEURHAZ

  Error code indicating that a heuristic decision may have been made. The outcome of all parts of the transaction is not known, but the outcome of the known parts are either all committed, or all rolled back.

  See Also:
    Constant Field Values

### XA_NOMIGRATE

    public static final int XA_NOMIGRATE

  Error code indicating that the transaction resumption must happen where the suspension occurred.

  See Also:
    Constant Field Values

### XA_RBBASE

    public static final int XA_RBBASE

  This is not an error code, but the same as the rollback error code with the lowest number.

  See Also:
    Constant Field Values

### XA_RBROLLBACK

    public static final int XA_RBROLLBACK

  Rollback error code indicating that the rollback happened for an unspecified reason.

  See Also:
    Constant Field Values

### XA_RBCOMMFAIL

    public static final int XA_RBCOMMFAIL

  Rollback error code indicating that the rollback happened due to a communications failure.

  See Also:
    Constant Field Values

### XA_RBDEADLOCK

    public static final int XA_RBDEADLOCK

  Rollback error code indicating that the rollback happened because deadlock was detected.

  See Also:
    Constant Field Values

### XA_RBINTEGRITY

    public static final int XA_RBINTEGRITY

  Rollback error code indicating that the rollback happened because an internal integrity check failed.

  See Also:
    Constant Field Values

### XA_RBOTHER

    public static final int XA_RBOTHER

  Rollback error code indicating that the rollback happened for some reason not fitting any of the other rollback error codes.

  See Also:
    Constant Field Values

### XA_RBPROTO

    public static final int XA_RBPROTO

  Rollback error code indicating that the rollback happened due to a protocol error in the resource manager.

  See Also:
    Constant Field Values

### XA_RBTIMEOUT

    public static final int XA_RBTIMEOUT

  Rollback error code indicating that the rollback happened because of a timeout.

  See Also:
    Constant Field Values

### XA_RBTRANSIENT

    public static final int XA_RBTRANSIENT

  Rollback error code indicating that the rollback happened due to a transient failure. The transaction branch may be retried.

  See Also:
    Constant Field Values

### XA_RBEND

    public static final int XA_RBEND

  This is not an error code, but the same as the rollback error code with the highest number.

  See Also:
    Constant Field Values

Constructor Detail

### XAException

    public XAException()

  Creates new `XAException` without detail message.

### XAException

    public XAException(String msg)

  Constructs an `XAException` with the specified detail message.

Parameters:
  `msg` - the detail message.

### XAException

    public XAException(int errorCode)

  Constructs an `XAException` for the specified error code.

Parameters:
  `errorCode` - the error code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.